Bug 206162 - Kernel panic in installer rescue mode
Kernel panic in installer rescue mode
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Martuccelli
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-12 11:53 EDT by Andrew Gormanly
Modified: 2012-06-20 10:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:31:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Gormanly 2006-09-12 11:53:25 EDT
Description of problem:
On a new Dell Inspiron, the kernel panics and locks the machine up hard when
trying to bring up the NIC in the rescue mode from the installation CD.

Version-Release number of selected component (if applicable):
RHEL 4 U4 WS x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Boot to rescue mode
2. Try to bring up network interface
3.
  
Actual results:
Kernel panic

Expected results:
NIC comes up and I fix machine

Additional info:
Error message is "Kernel panic - not syncing: PCI-DMA: high address but no IOMMU."
NIC is a Broadcom BCM4401-B0 100Base-TX (rev 02) according to lspci.
Machine is a Dell Inspiron XPS M1210 with a Core 2 Duo 2.0GHz CPU.
This happens with static IP or DHCP.
Comment 1 Andrew Gormanly 2006-09-12 12:21:07 EDT
Ok, it also locks up hard on first boot when trying to bring up the network.

So RHEL simply does not run on this machine (in a usable fashion, anyhow).
Comment 2 Andrew Gormanly 2006-09-13 08:55:34 EDT
It seems that the b44 module loads okay, but the system locks up on "ifup eth0".
 This is the case whether using the version of the driver supplied in
2.6.9-42.0.2.EL (0.94, May 4 2004, + 3 patches) or the latest available (1.00g,
Jun 7 2006).
Comment 4 Andrew Gormanly 2006-12-01 05:45:15 EST
This is actually a special case of <a
href="https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=217146">217146</a>
which I filed more recently after some investigation.

I can add further information here, but it would make more sense to put it there
and mark this one as the dupe (though not if that report cannot be opened and
dealt with yet!).
Comment 5 Jiri Pallich 2012-06-20 09:31:56 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.
Comment 6 Andrew Gormanly 2012-06-20 10:04:14 EDT
Well done.

Note You need to log in before you can comment on or make changes to this bug.